Subject: Re: [Nea] IESG query re Expert Review

From: Stephen Hanna <[email-masked]>
Date: Thu, 17 Sep 2009 13:01:35 -0400

One correction to my email. The text that I quoted is in
section 6.1 of PB-TNC. It's also in section 7.1 of PA-TNC.
I got mixed up because both documents have the same text.

Thanks,

Steve

> -----Original Message-----
> From: Stephen Hanna 
> Sent: Thursday, September 17, 2009 12:57 PM
> To: NEA
> Cc: 'Alexey Melnikov'
> Subject: IESG query re Expert Review
> 
> Alexey Melnikov (APP AD) has provided many useful comments
> on PA-TNC and PB-TNC. One issue that he has raised is
> whether Expert Review should be required for IANA registration
> of vendor-specific values in the NEA registries and, if so,
> what the expert guidelines should be. Alexey has asked the
> NEA WG to reconsider and discuss this matter. Therefore,
> I'm raising this topic on the NEA list and cc'ing Alexey.
> 
> The text in draft-ietf-nea-pb-tnc-05.txt on this matter
> is in section 7.1:
> 
> >    For all of the IANA registries defined by this specification,  
> >    new values are added to the registry by Expert Review with  
> >    Specification Required, using the Designated Expert process  
> >    defined in RFC 5226 [3].  
> >
> >    This section provides guidance to designated experts so that  
> >    they may make decisions using a philosophy appropriate 
> for these  
> >    registries.
> >
> > [snip]
> >
> >    All values in these IANA registries MUST be  
> >    documented in a specification that is clear, permanently and  
> >    publicly available, and likely to ensure interoperability. IETF  
> >    standard values MUST be useful and not harmful to the Internet.  
> >
> >    Designated experts should encourage vendors to avoid defining  
> >    similar but incompatible values and instead agree on a single  
> >    IETF standard value.  However, it is beneficial to document  
> >    existing practice.  
> 
> I will let Alexey make the full case for removing the requirement
> for expert review of vendor-specific values. I think that the main
> thrust of the argument is that we should encourage vendors to
> document the values that they use.
> 
> Thanks,
> 
> Steve
>